# Class goog.testing.TestCase.Result

code »

A class for representing test results. A bag of public properties.

## Constructor

goog.testing.TestCase.Result ( testCase )

Parameters

testCase: `goog.testing.TestCase`
  The test case that owns this result.

Show:Public Protected Private

## Instance Methods

code »getSummary ( ) ⇒ `string`

Returns

A summary of the tests, including total number of tests that passed, failed, and the time taken.

code »isSuccess ( ) ⇒ `boolean`

Returns

Whether the test was successful.

## Instance Properties

code »complete : `boolean`

Whether the tests have completed.

code »errors : `!Array.<goog.testing.TestCase.Error>`

Errors encountered while running the test.

code »messages : `!Array.<string>`

Messages to show the user after running the test.

code »numFilesLoaded : `number`

The number of files loaded to run this test.

code »resultsByName : `!Object.<string>`

Test results for each test that was run. The test name is always added as the key in the map, and the array of strings is an optional list of failure messages. If the array is empty, the test passed. Otherwise, the test failed.

code »runCount : `number`

Total number of tests that were actually run.

code »runTime : `number`

The amount of time the tests took to run.

code »successCount : `number`

Number of successful tests.

code »testCase_ : `goog.testing.TestCase`

The test case that owns this result.

code »testSuppressed : `boolean`

Whether this test case was suppressed by shouldRunTests() returning false.

code »totalCount : `number`

Total number of tests that should have been run.